class Rect
{
  float x, y, w, h; 
  String name;
  color col;
  color strokeColor;
  int count;
  int level;
  int orientation = 0;

  public Rect(int level, String name, int count, color col, color strokeColor)
  {
    this.level = level;
    this.name = name;
    this.count = count;
    this.col = col; 
    this.strokeColor = strokeColor;
  }

  public String toString()
  {
    return name + ", " + count + ", " + x + "/" + y + "/" + w + "/" + h ; 

  }

  public void draw()
  {
    fill(col);
    if (level == 1) 
    {
      strokeWeight(3);
    }
    else
    {
      strokeWeight(1);
    }
    
    stroke(strokeColor);
    
    if (orientation == -1)
    {
     // return;
    }
    if (level == 2 && mouseX > x && mouseX < x + w && mouseY > y && mouseY < y + h)
    {
      
      fill(255,255,255,50);
    }
    rect(x,y,w,h);
    
    if (level == 1 && mouseX > x && mouseX < x + w && mouseY > y && mouseY < y + h)
    {
      fill(255);
      text(name, x,y+h);
    }
  }


}


